Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.870554
Category:Red Hat Local Security Checks
Title:RedHat Update for nfs-utils RHSA-2012:0310-03
Summary:The remote host is missing an update for the 'nfs-utils'; package(s) announced via the referenced advisory.
Description:Summary:
The remote host is missing an update for the 'nfs-utils'
package(s) announced via the referenced advisory.

Vulnerability Insight:
The nfs-utils package provides a daemon for the kernel Network File System
(NFS) server, and related tools such as the mount.nfs, umount.nfs, and
showmount programs.

It was found that the mount.nfs tool did not handle certain errors
correctly when updating the mtab (mounted file systems table) file. A
local attacker could use this flaw to corrupt the mtab file.
(CVE-2011-1749)

This update also fixes the following bugs:

* The nfs service failed to start if the NFSv1, NFSv2, and NFSv4 support
was disabled (the MOUNTD_NFS_V1='no', MOUNTD_NFS_V2='no' MOUNTD_NFS_V3='no'
lines in /etc/sysconfig/nfs were uncommented) because the mountd daemon
failed to handle the settings correctly. With this update, the underlying
code has been modified and the nfs service starts successfully in the
described scenario. (BZ#529588)

* When a user's Kerberos ticket expired, the 'sh rpc.gssd' messages flooded
the /var/log/messages file. With this update, the excessive logging has
been suppressed. (BZ#593097)

* The crash simulation (SM_SIMU_CRASH) of the rpc.statd service had a
vulnerability that could be detected by ISS (Internet Security Scanner). As
a result, the rpc.statd service terminated unexpectedly with the following
error after an ISS scan:

rpc.statd[xxxx]: recv_rply: can't decode RPC message!
rpc.statd[xxxx]: *** SIMULATING CRASH! ***
rpc.statd[xxxx]: unable to register (statd, 1, udp).

However, the rpc.statd service ignored SM_SIMU_CRASH. This update removes
the simulation crash support from the service and the problem no longer
occurs. (BZ#600497)

* The nfs-utils init scripts returned incorrect status codes in the
following cases: if the rpcgssd and rpcsvcgssd daemon were not configured,
were provided an unknown argument, their function call failed, if a program
was no longer running and a /var/lock/subsys/$SERVICE file existed, if
starting a service under an unprivileged user, if a program was no longer
running and its pid file still existed in the /var/run/ directory. With
this update, the correct codes are returned in these scenarios. (BZ#710020)

* The 'nfsstat -m' command did not display NFSv4 mounts. With this update,
the underlying code has been modified and the command returns the list of
all mounts, including any NFSv4 mounts, as expected. (BZ#712438)

* Previously, the nfs manual pages described the fsc mount option. However,
this option is not supported. This update removes the option description
from the ma ...

Description truncated, please see the referenced URL(s) for more information.

Affected Software/OS:
nfs-utils on Red Hat Enterprise Linux (v. 5 server)

Solution:
Please Install the Updated Packages.

CVSS Score:
3.3

CVSS Vector:
AV:L/AC:M/Au:N/C:N/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2011-1749
http://www.openwall.com/lists/oss-security/2011/04/25/5
RedHat Security Advisories: RHSA-2011:1534
http://rhn.redhat.com/errata/RHSA-2011-1534.html
RedHat Security Advisories: RHSA-2012:0310
http://rhn.redhat.com/errata/RHSA-2012-0310.html
CopyrightCopyright (c) 2012 Greenbone Networks GmbH

This is only one of 97459 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.